Python Upgrade Snag

Post here if you are a new Porteus member and you're looking for some help.
Post Reply
willard
Black ninja
Black ninja
Posts: 80
Joined: 02 Sep 2012, 08:36
Location: Sweden

Python Upgrade Snag

Post#1 by willard » 23 Sep 2012, 14:45

Re: Porteus-XFCE-v1.2-i486.iso

Hi,
Python, bundled w/Porteus is outdated!

I need to download the most recent release of Python 3. Please provide proper indexing to
get Python 3/IDE installed and functional on Porteus, thanks.

link . . .

I have tried this 3.2.3 module, but there is a SNAG w/IDLE the Python IDE built with the tkinter GUI toolkit:
  • Password:
    root@porteus:/home/guest# idle3
    ** IDLE can't import Tkinter. Your Python may not be configured for Tk. **
    root@porteus:/home/guest#
************
willard

User avatar
fanthom
Site Admin
Site Admin
Posts: 4588
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: Python Upgrade Snag

Post#2 by fanthom » 24 Sep 2012, 08:42

Python, bundled w/Porteus is outdated!
Porteus-1.x line follows Slackware-13.37.
that means we need to stick to the version provided with slack, otherwise we may break compatibility with some slackware packages which is not what we want.
I have tried this 3.2.3 module, but there is a SNAG w/IDLE the Python IDE built with the tkinter GUI toolkit:
please report this error to the person who created this module as we are not responsible for 3rd party repos.

Cheers
Please add [Solved] to your thread title if the solution was found.

Post Reply